/*

 * TrimResultSet.java

 *

 * Created on 21 de noviembre de 2003, 10:39

 */



package q02b.exe.arquitectura.utils.tablasBD.helpers;

import java.net.URL;

import java.sql.Array;

import java.sql.Blob;

import java.sql.Clob;

import java.sql.Ref;

import java.sql.SQLException;



import q02b.exe.arquitectura.utils.Q02bUtils;

/** 

 *

 * @author  laura.cantero

 */

public class Q02bTrimResultSet implements java.sql.ResultSet {

    private java.sql.ResultSet orig;

    /** Creates a new instance of TrimResultSet */

    public Q02bTrimResultSet() {

		

    }

     public Q02bTrimResultSet(java.sql.ResultSet orig) {

         

         this.orig = orig;

         

    }

    

    public boolean absolute(int param) throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.absolute(param);

        return retValue;

    }

    

    public void afterLast() throws java.sql.SQLException {

        orig.afterLast();

    }

    

    public void beforeFirst() throws java.sql.SQLException {

        orig.beforeFirst();

    }

    

    public void cancelRowUpdates() throws java.sql.SQLException {

        orig.cancelRowUpdates();

    }

    

    public void clearWarnings() throws java.sql.SQLException {

        orig.clearWarnings();

    }

    

  

    

    public void close() throws java.sql.SQLException {

        orig.close();

    }

    

    public void deleteRow() throws java.sql.SQLException {

        orig.deleteRow();

    }

    

   

    

    protected void finalize() throws java.lang.Throwable {

       // finalize();

    }

    

    public int findColumn(String str) throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.findColumn(str);

        return retValue;

    }

    

    public boolean first() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.first();

        return retValue;

    }

    

    public java.sql.Array getArray(int param) throws java.sql.SQLException {

        java.sql.Array retValue;

        

        retValue = orig.getArray(param);

        return retValue;

    }

    

    public java.sql.Array getArray(String str) throws java.sql.SQLException {

        java.sql.Array retValue;

        

        retValue = orig.getArray(str);

        return retValue;

    }

    

    public java.io.InputStream getAsciiStream(int param) throws java.sql.SQLException {

        java.io.InputStream retValue;

        

        retValue = orig.getAsciiStream(param);

        return retValue;

    }

    

    public java.io.InputStream getAsciiStream(String str) throws java.sql.SQLException {

        java.io.InputStream retValue;

        

        retValue = orig.getAsciiStream(str);

        return retValue;

    }

    

   

  

    public java.io.InputStream getBinaryStream(int param) throws java.sql.SQLException {

        java.io.InputStream retValue;

        

        retValue = orig.getBinaryStream(param);

        return retValue;

    }

    

    public java.io.InputStream getBinaryStream(String str) throws java.sql.SQLException {

        java.io.InputStream retValue;

        

        retValue = orig.getBinaryStream(str);

        return retValue;

    }

    

    public java.sql.Blob getBlob(int param) throws java.sql.SQLException {

        java.sql.Blob retValue;

        

        retValue = orig.getBlob(param);

        return retValue;

    }

    

    public java.sql.Blob getBlob(String str) throws java.sql.SQLException {

        java.sql.Blob retValue;

        

        retValue = orig.getBlob(str);

        return retValue;

    }

    

    public boolean getBoolean(int param) throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.getBoolean(param);

        return retValue;

    }

    

    public boolean getBoolean(String str) throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.getBoolean(str);

        return retValue;

    }

    

    public byte getByte(int param) throws java.sql.SQLException {

        byte retValue;

        

        retValue = orig.getByte(param);

        return retValue;

    }

    

    public byte getByte(String str) throws java.sql.SQLException {

        byte retValue;

        

        retValue = orig.getByte(str);

        return retValue;

    }

    

    public byte[] getBytes(int param) throws java.sql.SQLException {

        byte[] retValue;

        

        retValue = orig.getBytes(param);

        return retValue;

    }

    

    public byte[] getBytes(String str) throws java.sql.SQLException {

        byte[] retValue;

        

        retValue = orig.getBytes(str);

        return retValue;

    }

    

    public java.io.Reader getCharacterStream(int param) throws java.sql.SQLException {

        java.io.Reader retValue;

        

        retValue = orig.getCharacterStream(param);

        return retValue;

    }

    

    public java.io.Reader getCharacterStream(String str) throws java.sql.SQLException {

        java.io.Reader retValue;

        

        retValue = orig.getCharacterStream(str);

        return retValue;

    }

    

    public java.sql.Clob getClob(int param) throws java.sql.SQLException {

        java.sql.Clob retValue;

        

        retValue = orig.getClob(param);

        return retValue;

    }

    

    public java.sql.Clob getClob(String str) throws java.sql.SQLException {

        java.sql.Clob retValue;

        

        retValue = orig.getClob(str);

        return retValue;

    }

    

    public int getConcurrency() throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getConcurrency();

        return retValue;

    }

    

    public String getCursorName() throws java.sql.SQLException {

        String retValue;

        

        retValue = orig.getCursorName();

        return retValue;

    }

    

    public java.sql.Date getDate(int param) throws java.sql.SQLException {

        java.sql.Date retValue;

        

        retValue = orig.getDate(param);

        return retValue;

    }

    

    public java.sql.Date getDate(String str) throws java.sql.SQLException {

        java.sql.Date retValue;

        

        retValue = orig.getDate(str);

        return retValue;

    }

    

    public java.sql.Date getDate(int param, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Date retValue;

        

        retValue = orig.getDate(param, calendar);

        return retValue;

    }

    

    public java.sql.Date getDate(String str, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Date retValue;

        

        retValue = orig.getDate(str, calendar);

        return retValue;

    }

    

    public double getDouble(int param) throws java.sql.SQLException {

        double retValue;

        

        retValue = orig.getDouble(param);

        return retValue;

    }

    

    public double getDouble(String str) throws java.sql.SQLException {

        double retValue;

        

        retValue = orig.getDouble(str);

        return retValue;

    }

    

    public int getFetchDirection() throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getFetchDirection();

        return retValue;

    }

    

    public int getFetchSize() throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getFetchSize();

        return retValue;

    }

    

    public float getFloat(int param) throws java.sql.SQLException {

        float retValue;

        

        retValue = orig.getFloat(param);

        return retValue;

    }

    

    public float getFloat(String str) throws java.sql.SQLException {

        float retValue;

        

        retValue = orig.getFloat(str);

        return retValue;

    }

    

    public int getInt(int param) throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getInt(param);

        return retValue;

    }

    

    public int getInt(String str) throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getInt(str);

        return retValue;

    }

    

    public long getLong(int param) throws java.sql.SQLException {

        long retValue;

        

        retValue = orig.getLong(param);

        return retValue;

    }

    

    public long getLong(String str) throws java.sql.SQLException {

        long retValue;

        

        retValue = orig.getLong(str);

        return retValue;

    }

    

    public java.sql.ResultSetMetaData getMetaData() throws java.sql.SQLException {

        java.sql.ResultSetMetaData retValue;

        

        retValue = orig.getMetaData();

        return retValue;

    }

    

    public Object getObject(int param) throws java.sql.SQLException {

        Object retValue;

        

        retValue = orig.getObject(param);

        return retValue;

    }

    

    public Object getObject(String str) throws java.sql.SQLException {

        Object retValue;

        

        retValue = orig.getObject(str);

        return retValue;

    }

    

    public Object getObject(int param, java.util.Map map) throws java.sql.SQLException {

        Object retValue;

        

        retValue = orig.getObject(param, map);

        return retValue;

    }

    

    public Object getObject(String str, java.util.Map map) throws java.sql.SQLException {

        Object retValue;

        

        retValue = orig.getObject(str, map);

        return retValue;

    }

    

    public java.sql.Ref getRef(int param) throws java.sql.SQLException {

        java.sql.Ref retValue;

        

        retValue = orig.getRef(param);

        return retValue;

    }

    

    public java.sql.Ref getRef(String str) throws java.sql.SQLException {

        java.sql.Ref retValue;

        

        retValue = orig.getRef(str);

        return retValue;

    }

    

    public int getRow() throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getRow();

        return retValue;

    }

    

    public short getShort(int param) throws java.sql.SQLException {

        short retValue;

        

        retValue = orig.getShort(param);

        return retValue;

    }

    

    public short getShort(String str) throws java.sql.SQLException {

        short retValue;

        

        retValue = orig.getShort(str);

        return retValue;

    }

    

    public java.sql.Statement getStatement() throws java.sql.SQLException {

        java.sql.Statement retValue;

        

        retValue = orig.getStatement();

        return retValue;

    }

    

    public String getString(int param) throws java.sql.SQLException {

        String retValue;

        String auxValue;

        auxValue = orig.getString(param);

        retValue = Q02bUtils.rtrim(auxValue);

        return retValue;

		//return orig.getString(param);

    }

    

    public String getString(String str) throws java.sql.SQLException {

        String retValue;

        String auxValue;

     

        auxValue = orig.getString(str);

        retValue = Q02bUtils.rtrim(auxValue);

        return retValue;

		//return orig.getString(str);

    }

    

    public java.sql.Time getTime(int param) throws java.sql.SQLException {

        java.sql.Time retValue;

        

        retValue = orig.getTime(param);

        return retValue;

    }

    

    public java.sql.Time getTime(String str) throws java.sql.SQLException {

        java.sql.Time retValue;

        

        retValue = orig.getTime(str);

        return retValue;

    }

    

    public java.sql.Time getTime(int param, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Time retValue;

        

        retValue = orig.getTime(param, calendar);

        return retValue;

    }

    

    public java.sql.Time getTime(String str, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Time retValue;

        

        retValue = orig.getTime(str, calendar);

        return retValue;

    }

    

    public java.sql.Timestamp getTimestamp(int param) throws java.sql.SQLException {

        java.sql.Timestamp retValue;

        

        retValue = orig.getTimestamp(param);

        return retValue;

    }

    

    public java.sql.Timestamp getTimestamp(String str) throws java.sql.SQLException {

        java.sql.Timestamp retValue;

        

        retValue = orig.getTimestamp(str);

        return retValue;

    }

    

    public java.sql.Timestamp getTimestamp(int param, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Timestamp retValue;

        

        retValue = orig.getTimestamp(param, calendar);

        return retValue;

    }

    

    public java.sql.Timestamp getTimestamp(String str, java.util.Calendar calendar) throws java.sql.SQLException {

        java.sql.Timestamp retValue;

        

        retValue = orig.getTimestamp(str, calendar);

        return retValue;

    }

    

    public int getType() throws java.sql.SQLException {

        int retValue;

        

        retValue = orig.getType();

        return retValue;

    }

    

          

    public java.sql.SQLWarning getWarnings() throws java.sql.SQLException {

        java.sql.SQLWarning retValue;

        

        retValue = orig.getWarnings();

        return retValue;

    }

    

   

    

    public void insertRow() throws java.sql.SQLException {

        orig.insertRow();

    }

    

    public boolean isAfterLast() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.isAfterLast();

        return retValue;

    }

    

    public boolean isBeforeFirst() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.isBeforeFirst();

        return retValue;

    }

    

    public boolean isFirst() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.isFirst();

        return retValue;

    }

    

    public boolean isLast() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.isLast();

        return retValue;

    }

    

    public boolean last() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.last();

        return retValue;

    }

    

    public void moveToCurrentRow() throws java.sql.SQLException {

        orig.moveToCurrentRow();

    }

    

    public void moveToInsertRow() throws java.sql.SQLException {

        orig.moveToInsertRow();

    }

    

    public boolean next() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.next();

        return retValue;

    }

    

    public boolean previous() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.previous();

        return retValue;

    }

    

    public void refreshRow() throws java.sql.SQLException {

        orig.refreshRow();

    }

    

    public boolean relative(int param) throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.relative(param);

        return retValue;

    }

    

    public boolean rowDeleted() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.rowDeleted();

        return retValue;

    }

    

    public boolean rowInserted() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.rowInserted();

        return retValue;

    }

    

    public java.math.BigDecimal getBigDecimal(int num,int param) throws java.sql.SQLException {

        return orig.getBigDecimal(num,param);

    }

    

    public java.math.BigDecimal getBigDecimal(int param) throws java.sql.SQLException {

        return orig.getBigDecimal(param);

    }

    

    public java.math.BigDecimal getBigDecimal(String valor,int param) throws java.sql.SQLException {

        return orig.getBigDecimal(valor,param);

    }

    

     public java.math.BigDecimal getBigDecimal(String valor) throws java.sql.SQLException {

        return orig.getBigDecimal(valor);

    }

    

    public java.io.InputStream getUnicodeStream(int param) throws java.sql.SQLException {

     

     return orig.getUnicodeStream(param);

    }

    

    public java.io.InputStream getUnicodeStream(String param) throws java.sql.SQLException {

     

     return orig.getUnicodeStream(param);

    }

     

    public boolean rowUpdated() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.rowUpdated();

        return retValue;

    }

    

    public void setFetchDirection(int param) throws java.sql.SQLException {

        orig.setFetchDirection(param);

    }

    

    public void setFetchSize(int param) throws java.sql.SQLException {

        orig.setFetchSize(param);

    }

    

   

    

       public void updateAsciiStream(int param, java.io.InputStream inputStream, int param2) throws java.sql.SQLException {

        orig.updateAsciiStream(param, inputStream, param2);

    }

    

    public void updateAsciiStream(String str, java.io.InputStream inputStream, int param) throws java.sql.SQLException {

        orig.updateAsciiStream(str, inputStream, param);

    }

    

    public void updateBigDecimal(int param, java.math.BigDecimal bigDecimal) throws java.sql.SQLException {

        orig.updateBigDecimal(param, bigDecimal);

    }

    

    public void updateBigDecimal(String str, java.math.BigDecimal bigDecimal) throws java.sql.SQLException {

        orig.updateBigDecimal(str, bigDecimal);

    }

    

    public void updateBinaryStream(int param, java.io.InputStream inputStream, int param2) throws java.sql.SQLException {

        orig.updateBinaryStream(param, inputStream, param2);

    }

    

    public void updateBinaryStream(String str, java.io.InputStream inputStream, int param) throws java.sql.SQLException {

        orig.updateBinaryStream(str, inputStream, param);

    }

    

   

    

    public void updateBoolean(int param, boolean param1) throws java.sql.SQLException {

        orig.updateBoolean(param, param1);

    }

    

    public void updateBoolean(String str, boolean param) throws java.sql.SQLException {

        orig.updateBoolean(str, param);

    }

    

    public void updateByte(int param, byte param1) throws java.sql.SQLException {

        orig.updateByte(param, param1);

    }

    

    public void updateByte(String str, byte param) throws java.sql.SQLException {

        orig.updateByte(str, param);

    }

    

    public void updateBytes(int param, byte[] values) throws java.sql.SQLException {

        orig.updateBytes(param, values);

    }

    

    public void updateBytes(String str, byte[] values) throws java.sql.SQLException {

        orig.updateBytes(str, values);

    }

    

    public void updateCharacterStream(int param, java.io.Reader reader, int param2) throws java.sql.SQLException {

        orig.updateCharacterStream(param, reader, param2);

    }

    

    public void updateCharacterStream(String str, java.io.Reader reader, int param) throws java.sql.SQLException {

        orig.updateCharacterStream(str, reader, param);

    }

    

  

    

    public void updateDate(int param, java.sql.Date date) throws java.sql.SQLException {

        orig.updateDate(param, date);

    }

    

    public void updateDate(String str, java.sql.Date date) throws java.sql.SQLException {

        orig.updateDate(str, date);

    }

    

    public void updateDouble(int param, double param1) throws java.sql.SQLException {

        orig.updateDouble(param, param1);

    }

    

    public void updateDouble(String str, double param) throws java.sql.SQLException {

        orig.updateDouble(str, param);

    }

    

    public void updateFloat(int param, float param1) throws java.sql.SQLException {

        orig.updateFloat(param, param1);

    }

    

    public void updateFloat(String str, float param) throws java.sql.SQLException {

        orig.updateFloat(str, param);

    }

    

    public void updateInt(int param, int param1) throws java.sql.SQLException {

        orig.updateInt(param, param1);

    }

    

    public void updateInt(String str, int param) throws java.sql.SQLException {

        orig.updateInt(str, param);

    }

    

    public void updateLong(int param, long param1) throws java.sql.SQLException {

        orig.updateLong(param, param1);

    }

    

    public void updateLong(String str, long param) throws java.sql.SQLException {

        orig.updateLong(str, param);

    }

    

    public void updateNull(int param) throws java.sql.SQLException {

        orig.updateNull(param);

    }

    

    public void updateNull(String str) throws java.sql.SQLException {

        orig.updateNull(str);

    }

    

    public void updateObject(int param, Object obj) throws java.sql.SQLException {

        orig.updateObject(param, obj);

    }

    

    public void updateObject(String str, Object obj) throws java.sql.SQLException {

        orig.updateObject(str, obj);

    }

    

    public void updateObject(int param, Object obj, int param2) throws java.sql.SQLException {

        orig.updateObject(param, obj, param2);

    }

    

    public void updateObject(String str, Object obj, int param) throws java.sql.SQLException {

        orig.updateObject(str, obj, param);

    }

    

    

    

    public void updateRow() throws java.sql.SQLException {

        orig.updateRow();

    }

    

    public void updateShort(int param, short param1) throws java.sql.SQLException {

        orig.updateShort(param, param1);

    }

    

    public void updateShort(String str, short param) throws java.sql.SQLException {

        orig.updateShort(str, param);

    }

    

    public void updateString(int param, String str) throws java.sql.SQLException {

        orig.updateString(param, str);

    }

    

    public void updateString(String str, String str1) throws java.sql.SQLException {

        orig.updateString(str, str1);

    }

    

    public void updateTime(int param, java.sql.Time time) throws java.sql.SQLException {

        orig.updateTime(param, time);

    }

    

    public void updateTime(String str, java.sql.Time time) throws java.sql.SQLException {

        orig.updateTime(str, time);

    }

    

    public void updateTimestamp(int param, java.sql.Timestamp timestamp) throws java.sql.SQLException {

        orig.updateTimestamp(param, timestamp);

    }

    

    public void updateTimestamp(String str, java.sql.Timestamp timestamp) throws java.sql.SQLException {

        orig.updateTimestamp(str, timestamp);

    }

    

    public boolean wasNull() throws java.sql.SQLException {

        boolean retValue;

        

        retValue = orig.wasNull();

        return retValue;

    }

    

     public java.sql.ResultSet getOrig(){

	return this.orig;

     }

	public URL getURL(int arg0) throws SQLException {

		// TODO Auto-generated method stub

		return null;

	}

	public URL getURL(String arg0) throws SQLException {

		// TODO Auto-generated method stub

		return null;

	}

	public void updateArray(int arg0, Array arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateArray(String arg0, Array arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateBlob(int arg0, Blob arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateBlob(String arg0, Blob arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateClob(int arg0, Clob arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateClob(String arg0, Clob arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateRef(int arg0, Ref arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

	public void updateRef(String arg0, Ref arg1) throws SQLException {

		// TODO Auto-generated method stub

		

	}

     

     

    

}

